CREATE procedure [C6StagingPeriodico].[RP_ST_Migraz_Progetto_20170118] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Migraz_Progetto',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_Migraz_Progetto
	insert into C6StagingPeriodico.RP_Migraz_Progetto(
	chiaveProgetto
      ,area
      ,chiaveConsulenza
      ,tipoProgetto
      ,dtCreazione
      ,varProgetto
      ,coperturaProgetto
      ,ctvProgetto
      ,chiaveProgettoMod )
	select 
	prog.chiaveProgetto
      ,a.area
      ,chiaveConsulenza
      ,null as tipoProgetto -- NUOVO 16/09
      ,null as dtCreazione
      ,null as varProgetto
      ,coperturaProgetto
      ,null as ctvProgetto
      ,propirMod.chiaveProgettoMod
	from CONSUNI_PERIODICO.ConsulenzaUnica.dbo.Progetto prog
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.area a
	on a.chiaveArea = prog.chiavearea
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
	on propirMod.chiaveprogettomod = prog.chiaveprogettomod
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.PosizioniPortafoglio pospor
	on pospor.chiaveprogetto = prog.chiaveprogetto
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.DettaglioPosizionePortafoglio dett
	on dett.chiaveposizioneptf = pospor.chiaveposizioneptf
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Migraz_Progetto' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Migraz_Progetto'
		)
end